View Issue Details

IDProjectCategoryView StatusLast Update
14372Bug reports[All Projects] Survey takingpublic2019-04-30 09:10
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version 
Target Version3.16.xFixed in Version3.15.x 
Summary14372: Ranking issue with image
Description

If you get image for ranking : the ranking element are not updated when ipafe is loaded

Steps To Reproduce

Import included survey, test (hope it work)
see screenshot

Additional Information

Same height for choice to 1 or 0 didn't fix the issue.

skelvanilla have same issue, then not ajax mode related.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.5 github
I will donate to the project if issue is resolvedNo
Browserff
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2018-12-20 15:08

developer  

limesurvey_survey_rankingImage.lss (16,807 bytes)
DenisChenu

DenisChenu

2018-12-20 16:03

developer   ~50052

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28670

ollehar

ollehar

2019-01-16 17:30

administrator   ~50236

Fix committed to develop branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28761

Related Changesets

LimeSurvey: master 73fe91e1

2018-12-20 16:03:28

DenisChenu

Details Diff
Fixed issue 14374: Unable to disable samechoiceheight and samelistheight
Fixed issue 14372: Ranking issue with image
Dev: about image : happen only with external image
Dev: then don't really fix sample lss, but really better
Dev: have a js solution with img.on('load') but again a new js event …
Affected Issues
14372, 14374
mod - assets/packages/questions/ranking/scripts/ranking.js Diff File

LimeSurvey: develop 6fca3dab

2018-12-20 16:03:28

DenisChenu


Committer: ollehar Details Diff
Fixed issue 14374: Unable to disable samechoiceheight and samelistheight
Fixed issue 14372: Ranking issue with image
Dev: about image : happen only with external image
Dev: then don't really fix sample lss, but really better
Dev: have a js solution with img.on('load') but again a new js event …
Affected Issues
14372, 14374
mod - assets/packages/questions/ranking/scripts/ranking.js Diff File

Issue History

Date Modified Username Field Change
2018-12-20 15:08 DenisChenu New Issue
2018-12-20 15:08 DenisChenu File Added: Capture d’écran du 2018-12-20 15-06-14.png
2018-12-20 15:08 DenisChenu File Added: limesurvey_survey_rankingImage.lss
2018-12-20 15:46 DenisChenu Assigned To => DenisChenu
2018-12-20 15:46 DenisChenu Status new => assigned
2018-12-20 16:03 DenisChenu Changeset attached => LimeSurvey master 73fe91e1
2018-12-20 16:03 DenisChenu Note Added: 50052
2018-12-20 16:03 DenisChenu Resolution open => fixed
2018-12-20 16:04 DenisChenu Status assigned => resolved
2018-12-20 16:04 DenisChenu Fixed in Version => 3.15.x
2019-01-16 17:30 ollehar Changeset attached => LimeSurvey develop 6fca3dab
2019-01-16 17:30 ollehar Note Added: 50236
2019-04-30 09:10 c_schmitz Status resolved => closed